FROM openshift/golang-builder:1.11 AS builder
ENV SOURCE_GIT_COMMIT=9072754a0a4c311b0e5ac8a9707e692a9b4f7156 SOURCE_DATE_EPOCH=1571960506 BUILD_VERSION=v4.2.8 SOURCE_GIT_URL=https://github.com/openshift/router SOURCE_GIT_TAG=4.0.0-41-g9072754 BUILD_RELEASE=201911190952
WORKDIR /go/src/github.com/openshift/router
COPY . .
RUN make

FROM openshift/ose-base:v4.2.8.20191119.095254
ENV SOURCE_GIT_COMMIT=9072754a0a4c311b0e5ac8a9707e692a9b4f7156 SOURCE_DATE_EPOCH=1571960506 BUILD_VERSION=v4.2.8 SOURCE_GIT_URL=https://github.com/openshift/router SOURCE_GIT_TAG=4.0.0-41-g9072754 BUILD_RELEASE=201911190952
COPY --from=builder /go/src/github.com/openshift/router/openshift-router /usr/bin/

LABEL \
        io.k8s.description="This is the base image from which all template based routers inherit." \
        com.redhat.component="ose-haproxy-router-base-container" \
        vendor="Red Hat" \
        name="openshift/ose-haproxy-router-base" \
        License="GPLv2+" \
        io.k8s.display-name="OpenShift Container Platform Router" \
        io.openshift.build.source-location="https://github.com/openshift/router" \
        io.openshift.build.commit.url="https://github.com/openshift/router/commit/9072754a0a4c311b0e5ac8a9707e692a9b4f7156" \
        version="v4.2.8" \
        io.openshift.build.commit.id="9072754a0a4c311b0e5ac8a9707e692a9b4f7156" \
        release="201911190952" \
        io.openshift.tags="openshift,router"

